LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [-is] [-d SD] [-f file] [-m msgid] [-p pri] [-t tag] [message ...]

DESCRIPTION
logger provides a shell command interface to the syslog(3) system log module.

Options:

-d sd
    Log this in the structured data (SD) field. ( sd has to be passed as one argument and will require careful quoting when used from the shell.)

-f file
    Log the specified file.

-i  Log the process id of the logger process with each line.

-m msgid
    The MSGID used for the message.

-p pri
    Enter the message with the specified priority. The priority may be specified numerically or as a “facility.level” pair. For example, “-p local3.info” logs the message(s) as informational level in the local3 facility. The default is “user.notice”.

-s  Log the message to standard error, as well as the system log.

-t tag
    Mark every line in the log with the specified tag.

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

EXIT STATUS

EXAMPLES
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8)

STANDARDS
The logger utility conforms to p1003.2-92.